/**
 * 
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zk.ui.event.Event;
import org.zkoss.zk.ui.event.EventListener;
import org.zkoss.zul.Button;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.vo.ruta.RutaVO;
import com.rjconsultores.ventaboletos.web.utilerias.MyListbox;

/**
 * @author Wallace
 *
 */
public class RenderRelatorioAproveitamentoFinanceiroTrecho implements ListitemRenderer  {

	@Override
	public void render(Listitem lstm, Object o) throws Exception {
		RutaVO ruta = (RutaVO) o;

		Listcell lc = new Listcell(ruta.getNumRuta().toString());
		lc.setParent(lstm);

		lc = new Listcell(ruta.getPrefixo());
		lc.setParent(lstm);

		lc = new Listcell(ruta.getDescruta());
		lc.setParent(lstm);

		lc = new Listcell(ruta.getDescOrigem());
		lc.setParent(lstm);
		
		Button btn = new Button();

		lc = new Listcell();
		lc.setParent(lstm);

		btn.setWidth("16");
		btn.setHeight("16");
		btn.setImage("/gui/img/remove.png");

		btn.addEventListener("onClick", new EventListener() {
			@Override
			public void onEvent(Event event) throws Exception {
				MyListbox listBox = (MyListbox) event.getTarget().getParent().getParent().getParent();
				Listitem listItem = (Listitem) event.getTarget().getParent().getParent();
				listBox.removeItem((RutaVO) listItem.getAttribute("data"));
			}
		});

		lc.appendChild(btn);

		lstm.setAttribute("data", ruta);
	}

}
